Subject: RE: [Mip6] Re: topology about v4-v6 migration

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Tue, 1 Aug 2006 17:07:21 +0200

Hi Alex:

This was a subject of disagreement within the MIPTRANS ML; as far as I
know, the outcome was to EXCLUDE SUPPORT for your scenario. I remember
Jim Bound complained about that, saying it was a very important scenario
for IPv6 dominant world. Note that the GW might be placed at the egress
of a legacy IPv4 only network as opposed to the ingress of a home
network.

There are basically 2 ways of supporting it:

1) native: MIP6-like over IPv4 between MN and GW. GW decapsulates and HA
receives MIP6 native.

2) tunnel: MIPTRANS over IPv4 between MN and GW. GW encapsulates over
IPv6 to HA. 

With MIPTRANS as of today, the latter, tunnel, is really the only
option. This forces the HA to keep an IPv4 address long after is placed
in an IPv6 only domain, and the GW-HA tunnel is set up manually.

OTOH, the Doors proposal includes a native solution, with the concept of
a gateway and an automatic tunneling mechanism, an hybrid between ISATAP
and 6to4: The GW decapsulates IPv4/UDP from the MN packet, and forwards
the inner IPv6 packet to the HA; the packet looks exactly like a
traditional MIP6/NEMO packet. The source address (CoA) contains the pair
of IPv4 addresses and ports necessary for the GW to encaps on the way
back. The GW is stateless, and owns the 6to4 based /48 from which are
derived all CoA of MN using that GW. 

Pascal

>-----Original Message-----
>From: Henrik Levkowetz [mailto:[email-masked]]
>Sent: Friday, July 14, 2006 7:27 PM
>To: Alexandru Petrescu
>Cc: Mobile IPv6 Mailing List
>Subject: [Mip6] Re: topology about v4-v6 migration
>
>Hi Alex,
>
>  Snipping some stuff, and responding inline:
>
>on 2006-07-14 12:29 Alexandru Petrescu said the following:
>...
>>> on 2006-07-13 18:01 Alexandru Petrescu said the following:
>>>> Hi Henrik, per your request on the scenario of IPv6-IPv4 deployment
>>>>  I mentioned today in the MIP6 WG meeting.  Below is the topology
>>>> I've had in mind:
>>>>
>>
>>    +--+
>>    |CN|
>>    +--+
>>     |
>>   ------------------
>> / IPv6-only        \____
>> \ "island" network /    |
>>   ------------------     |
>>                          |
>>                          |
>>                          |
>>   ----------------       |    +---+     -------------    +----------+
>> / IPv4-only      \__IPv4_____|GW |____/ IPv6-only   \___| HA       |
>> \ access network /  Internet +---+    \ home network/   | IPv6-only|
>>   ----------------                      -------------    +----------+
>>        .
>>        |
>>      +--+
>>      |MN|
>>      +--+
>>
>>
>>>> The MN is "owned" by an IPv6 HA deep in an IPv6-only network,
>>>> presumably some operator's network.  MN connects to another
>>>> operator's IPv4-only wireless access.  It needs to communicate with
>>>>  an IPv6-only CN, present on an IPv6-only "island" network.
>>>>
>>>> The IPv4-only access network, the IPv6-only home network and the
>>>> IPv6-only "island" network are connected together on the IPv4
>>>> Internet
>
>...
>
>> I am not sure though how DS-MIPv6 current solution solves it.  The
doubt
>> I have is about the DS-MIPv6 tunnel MN-HA ending in HA's IPv4
address.
>> Is this so?
>
>More precise is to say that the HA has to be reachable through an
>IPv4 address somehow.  This could be an address on the GW which
>is forwarded to the HA through a tunnel, exactly as you mention
>next:
>
>> Also, maybe DS-MIPv6 assumes a form of IPv4-in-IPv6 encapsulation
>> between the GW (pictured) and the HA?
>>
>> We have both mentioned existing v4-v6 transitioning methods, no need
to
>> enhance them, just re-use them - ok.  But not sure between what and
>> what.  When I think re-using transitioning schemes is IPv6-in-IPv4
>> between GW and border on IPv6 Internet.  This is _not_ IPv4-in-IPv6
>> between GW and HA.  Do you assume this latter?
>
>Some kind of tunnelled forwarding between HA and the IPv4 address on
>the GW would be necessary, yes.  Exactly what is used is not
>important, as long as the HA is reachable through that IPv4 address
>and is aware that it has that IPv4 address.
>
>Regards,
>
>	Henrik
>
>_______________________________________________
>Mip6 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6